lang en_US.UTF-8
keyboard us
timezone US/Eastern
#timezone CET

auth --useshadow --enablemd5
selinux --disabled
firewall --disabled
#firstboot --enabled
part / --size 8692

#services --enabled=acpid,alsa,atd,avahi-daemon,prefdm,haldaemon,irqbalance,mandi,dbus,netfs,network,network-up,partmon,resolvconf,rpcbind,rsyslog,sound,udev-post,mandrake_everytime,sshd,ntpd
#services --disabled=crond,pptp,pppoe,shorewall,iptables,ip6tables,cups
services --enabled=network,sshd,ntpd
services --disabled=iptables,ip6tables

repo --name=Core              --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/core/release/
repo --name=Core32            --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/i586/media/core/release/
repo --name=Core-Updates      --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/core/updates/
repo --name=Main-Backports    --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/core/backports/
repo --name=Nonfree           --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/nonfree/release/
repo --name=Nonfree-Updates   --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/nonfree/updates/
repo --name=Nonfree-Backports --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/nonfree/backports/
repo --name=Tainted           --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/tainted/release/
repo --name=Tainted-Updates   --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/tainted/updates/
repo --name=Tainted-Backports --baseurl=http://twiska.zarb.org/mageia/distrib/cauldron/x86_64/media/tainted/backports/

%packages
#%include #PATH#/#IMAGE#.lst
################
#livecd-tools
#livecd-iso-to-disk
syslinux
strace
harddrake
mc
kernel-desktop-latest
kernel-desktop-devel-latest
task-lxde
dracut
basesystem
basesystem-minimal
bash
dosfstools
systemd
systemd-units
systemd-sysvinit
sysfsutils
rpm-helper
urpmi
vim-minimal
xz
zip

dkms-minimal
dkms-virtualbox
squashfs-tools
dhcp-client
#dkms-fglrx
dkms-nvidia
kernel-firmware-extra
radeon-firmware

%end

%post

# adding messagebus user to workaround rpm ordering (eugeni)
/usr/share/rpm-helper/add-user dbus 1 messagebus / /sbin/nologin
/usr/share/rpm-helper/add-group dbus 1 messagebus

/bin/chown root:messagebus /lib*/dbus-1/dbus-daemon-launch-helper
/bin/chmod u+s,g-s /lib*/dbus-1/dbus-daemon-launch-helper

# adding live user
/usr/sbin/adduser livecd
/usr/bin/passwd -d livecd
/bin/mkdir -p /home/livecd
/bin/cp -rfT /etc/skel /home/livecd/
/bin/chown -R livecd:livecd /home/livecd

# ldetect stuff
/usr/sbin/update-ldetect-lst

# setting up network manager by default
pushd /etc/sysconfig/network-scripts
for iface in eth0 wlan0; do
	cat > ifcfg-$iface << EOF
DEVICE=eth0
ONBOOT=yes
NM_CONTROLLED=yes
EOF
done
popd



# 

#
# DKMS
#

echo
echo
echo Rebuilding DKMS drivers
echo
echo

export PATH=/bin:/sbin:/usr/bin:/usr/sbin

kernel_ver=`ls /boot | /bin/grep symvers | /bin/sed 's/symvers-//' | sed 's/.gz//'`
for module in fglrx nvidia-current nvidia96xx nvidia173; do
	module_version=`rpm --qf '%{VERSION}\n' -q dkms-$module`
	module_release=`rpm --qf '%{RELEASE}\n' -q dkms-$module`
	echo
	echo /usr/sbin/dkms -k $kernel_ver -a x86_64 --rpm_safe_upgrade add -m $module -v $module_version-$module_release
	/usr/sbin/dkms -k $kernel_ver -a x86_64 --rpm_safe_upgrade add -m $module -v $module_version-$module_release
	echo /usr/sbin/dkms -k $kernel_ver -a x86_64 --rpm_safe_upgrade build -m $module -v $module_version-$module_release
	/usr/sbin/dkms -k $kernel_ver -a x86_64 --rpm_safe_upgrade build -m $module -v $module_version-$module_release
	echo /usr/sbin/dkms -k $kernel_ver -a x86_64 --rpm_safe_upgrade install -m $module -v $module_version-$module_release
	/usr/sbin/dkms -k $kernel_ver -a x86_64 --rpm_safe_upgrade install -m $module -v $module_version-$module_release
done 

#
# kernel
#

%post --nochroot

#    cp -rfT 	#PATH#/extraconfig/etc $INSTALL_ROOT/etc/

#    cp -rfT     #PATH#/.counter $INSTALL_ROOT/etc/isonumber 

#    cp -f 		#PATH#/root/GPL $LIVE_ROOT/
    mkdir -p 	$LIVE_ROOT/Addons
    cp 	  		/usr/bin/livecd-iso-to-disk			$LIVE_ROOT/Addons/
    chmod +x 	$LIVE_ROOT/Addons/livecd-iso-to-disk
    rpm --root $INSTALL_ROOT -qa | sort > $LIVE_ROOT/rpm.lst

%end
